--[Oxygen-Regular Kerning]
--Sets the kerning values for the listed font.

--Set the main scaler.
SugarFont_SetKerning(1.0)

--Letters groupings.
SugarFont_SetKerning(string.byte("i"), -1, 3.0)
SugarFont_SetKerning(-1, string.byte("i"), 2.0)
SugarFont_SetKerning(string.byte("o"), -1, 2.0)
SugarFont_SetKerning(-1, string.byte("o"), 2.0)

--Punctuation groupings.
SugarFont_SetKerning(-1, string.byte(":"), 2.0)
SugarFont_SetKerning(-1, string.byte("."), 2.0)
SugarFont_SetKerning(-1, string.byte("!"), 2.0)
SugarFont_SetKerning(-1, string.byte("'"), 2.0)
SugarFont_SetKerning(-1, string.byte(","), 2.0)
SugarFont_SetKerning(-1, string.byte("-"), 3.0)
SugarFont_SetKerning(string.byte(" "), -1, 10.0)
SugarFont_SetKerning(string.byte("-"), -1, 3.0)

--Specific punctuations.
SugarFont_SetKerning(string.byte("."), string.byte("."), 0.0)
SugarFont_SetKerning(string.byte("."), string.byte(" "), 3.0)
SugarFont_SetKerning(string.byte(" "), string.byte("c"), 11.0)
SugarFont_SetKerning(string.byte(" "), string.byte("I"), 9.0)
SugarFont_SetKerning(string.byte(","), string.byte(" "), 3.0)
SugarFont_SetKerning(string.byte("("), string.byte("J"), 4.0)

--Numbers.
SugarFont_SetKerning(string.byte("1"), string.byte("."), 3.0)

--Specific letters.
SugarFont_SetKerning(string.byte("a"), string.byte("f"), 2.0)
SugarFont_SetKerning(string.byte("a"), string.byte("l"), 2.0)
SugarFont_SetKerning(string.byte("a"), string.byte("t"), 2.0)
SugarFont_SetKerning(string.byte("A"), string.byte("R"), -2.0)
SugarFont_SetKerning(string.byte("A"), string.byte("T"), -2.0)
SugarFont_SetKerning(string.byte("B"), string.byte("r"), 3.0)
SugarFont_SetKerning(string.byte("i"), string.byte("g"), 3.0)
SugarFont_SetKerning(string.byte("c"), string.byte("a"), 2.0)
SugarFont_SetKerning(string.byte("c"), string.byte("h"), 2.0)
SugarFont_SetKerning(string.byte("c"), string.byte("l"), 2.0)
SugarFont_SetKerning(string.byte("d"), string.byte("b"), 2.0)
SugarFont_SetKerning(string.byte("f"), string.byte("f"), 0.0)
SugarFont_SetKerning(string.byte("E"), string.byte("n"), 2.0)
SugarFont_SetKerning(string.byte("E"), string.byte("x"), 3.0)
SugarFont_SetKerning(string.byte("E"), string.byte("A"), 4.0)
SugarFont_SetKerning(string.byte("E"), string.byte("G"), 3.0)
SugarFont_SetKerning(string.byte("E"), string.byte("R"), 3.0)
SugarFont_SetKerning(string.byte("E"), string.byte("S"), 3.0)
SugarFont_SetKerning(string.byte("f"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("f"), string.byte("i"), 1.0)
SugarFont_SetKerning(string.byte("h"), string.byte("e"), 2.0)
SugarFont_SetKerning(string.byte("h"), string.byte("t"), 2.0)
SugarFont_SetKerning(string.byte("H"), string.byte("y"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("t"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("n"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("s"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("N"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("M"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("S"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("T"), 3.0)
SugarFont_SetKerning(string.byte("I"), string.byte("V"), 4.0)
SugarFont_SetKerning(string.byte("j"), string.byte("o"), -1.0)
SugarFont_SetKerning(string.byte("l"), string.byte("l"), 0.0)
SugarFont_SetKerning(string.byte("l"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("o"), string.byte("o"), 2.0)
SugarFont_SetKerning(string.byte("M"), string.byte("e"), 3.0)
SugarFont_SetKerning(string.byte("M"), string.byte("P"), 3.0)
SugarFont_SetKerning(string.byte("n"), string.byte("f"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("g"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("l"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("t"), 2.0)
SugarFont_SetKerning(string.byte("n"), string.byte("v"), 2.0)
SugarFont_SetKerning(string.byte("N"), string.byte("E"), 3.0)
SugarFont_SetKerning(string.byte("N"), string.byte("T"), 3.0)
SugarFont_SetKerning(string.byte("r"), string.byte("t"), 2.0)
SugarFont_SetKerning(string.byte("s"), string.byte("t"), 2.0)
SugarFont_SetKerning(string.byte("T"), string.byte("A"), -2.0)
SugarFont_SetKerning(string.byte("u"), string.byte("f"), 2.0)
SugarFont_SetKerning(string.byte("U"), string.byte("A"), 3.0)
SugarFont_SetKerning(string.byte("v"), string.byte("e"), 0.0)
SugarFont_SetKerning(string.byte("v"), string.byte("o"), -1.0)
SugarFont_SetKerning(string.byte("V"), string.byte("i"), -1.0)
SugarFont_SetKerning(string.byte("V"), string.byte("E"), -1.0)
SugarFont_SetKerning(string.byte("y"), string.byte("o"), 0.0)
SugarFont_SetKerning(string.byte("y"), string.byte("p"), 0.0)
SugarFont_SetKerning(string.byte("Y"), string.byte("o"), -2.0)

--Letter-to-punctuation.
SugarFont_SetKerning(string.byte("r"), string.byte(","), 0.0)
SugarFont_SetKerning(string.byte("r"), string.byte("."), -2.0)
SugarFont_SetKerning(string.byte("y"), string.byte(","), -2.0)
SugarFont_SetKerning(string.byte("y"), string.byte("."), -2.0)
SugarFont_SetKerning(string.byte("T"), string.byte("."), -2.0)
SugarFont_SetKerning(string.byte("T"), string.byte(","), -2.0)
